<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 https://maven.apache.org/xsd/maven-4.0.0.xsd">
  <modelVersion>4.0.0</modelVersion>
  <parent>
    <groupId>ru.entaxy.esb.platform.runtime.base</groupId>
    <artifactId>resources</artifactId>
    <version>1.9.0</version>
  </parent>
  <groupId>ru.entaxy.esb.platform.runtime.base.resources</groupId>
  <artifactId>resources-service</artifactId>
  <packaging>bundle</packaging>
  <name>ENTAXY :: PLATFORM :: BASE :: RESOURCES :: SERVICE</name>
  <description>ENTAXY :: PLATFORM :: BASE :: RESOURCES :: SERVICE</description>
  
  <properties>
  	<bundle.osgi.export.pkg>
		  ru.entaxy.esb.resources.provider,
			ru.entaxy.esb.resources.impl
	</bundle.osgi.export.pkg>
  	<bundle.osgi.private.pkg>
  		ru.entaxy.esb.resources.impl.service,
  		ru.entaxy.esb.resources.tracker,
  		ru.entaxy.esb.resources.shell,
  		ru.entaxy.esb.resources.support
  	</bundle.osgi.private.pkg>
  		<bundle.osgi.remove.headers>none</bundle.osgi.remove.headers>
  </properties>

  <dependencies>
	  	<dependency>
	  		<groupId>org.osgi</groupId>
	  		<artifactId>org.osgi.service.component.annotations</artifactId>
	  	</dependency>        
        <dependency>
        	<groupId>org.apache.felix</groupId>
        	<artifactId>org.apache.felix.scr</artifactId>
        </dependency>
        <dependency>
        	<groupId>commons-io</groupId>
        	<artifactId>commons-io</artifactId>
        	<version>${commons-io.version}</version>
        </dependency>
        <dependency>
        	<groupId>ru.entaxy.esb.platform.runtime.base</groupId>
        	<artifactId>base-support</artifactId>
        	<version>${project.version}</version>
        </dependency>
        <dependency>
        	<groupId>ru.entaxy.esb.platform.runtime.base.resources</groupId>
        	<artifactId>resources-api</artifactId>
        	<version>${project.version}</version>
        </dependency>
		<dependency>
	  		<groupId>org.apache.karaf.shell</groupId>
	  		<artifactId>org.apache.karaf.shell.core</artifactId>
	  		<version>${karaf.version}</version>
	  	</dependency>		        
	  	<dependency>
			<groupId>commons-io</groupId>	  
	  		<artifactId>commons-io</artifactId>
	  		<version>${commons-io.version}</version>
		</dependency>
  </dependencies>
  
  
</project>
